delete
https://api.liquiditytech.com/api/v1/algo/cancelAll
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Cancel all incomplete algo orders under the portfolio. This API is asynchronous. Returning success only means that the cancel requests have been sent. The final result needs to be confirmed through websocket subscription and order query.
Rate Limit: 50 requests per 10 seconds
Permission: Requires trading permission on the corresponding API key. Read-only keys cannot call this endpoint.
All filter parameters are optional. If not provided, all OPEN status algo orders under the portfolio will be cancelled. Multiple conditions are AND logic. conditionType is only effective for TPSL orders.
Request
| Name | Type | Mandatory | Description |
|---|---|---|---|
| sym | String | N | Trading pair unique identifier (example:BINANCE_PERP_ETH_USDT, OKX_PEPR_ETH_USDT) |
| exchangeType | String | N | Exchange type, such as BINANCE, OKX |
| businessType | String | N | Business type: PERP |
| algoOrderType | String | N | Algo order types: TWAP, VWAP, TPSL |
| conditionType | String | N | OCO,CONDITIONAL,ENTIRE_CLOSE_POSITION,PARTIAL_CLOSE_POSITION; only effective when algoOrderType=TPSL |
Response
| Field name | Type | Remarks |
|---|---|---|
| algoOrderId | String | Algo order ID |
| clientOrderId | String | Customer-defined order ID |
{
"code": 200000,
"message": "Success",
"data": [
{
"algoOrderId": "2127112827963460",
"clientOrderId": "2173326802000962"
},
{
"algoOrderId": "2127112827963461",
"clientOrderId": "2173326802000963"
}
]
}
